Package: groovy.org.codenarc.rule.concurrency

## [Groovy] Class InconsistentPropertyLockingRule

- groovy.org.codenarc.rule.concurrency.InconsistentPropertyLockingRule

- Class contains similarly-named get and set methods where one method of the pair is marked either

  WithReadLock:
    or
  WithWriteLock:
    and the other is not locked at all.
  Authors:
    'Hamlet D'Arcy'

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority